/************************************************************
 * BOOTSTRAP OVERRIDE
 ************************************************************/

a {
  text-decoration: none;
}
a:not(.btn, .navbar-brand, .nav-link, .dropdown-item, .page-link):active,
a:not(.btn, .navbar-brand, .nav-link, .dropdown-item, .page-link):hover {
  text-decoration: underline;
}

.page-link {
  color: #6c757d;
}
.page-link:focus {
  box-shadow: 0 0 0 0.2rem rgb(108 117 125 / 50%);
}

/**
 * Navbar
 */

.navbar {
  padding-top: 0;
  padding-bottom: 0;
}

.navbar-brand {
  display: flex;
  align-items: center;
  text-transform: uppercase;
  font-size: 2rem;
}

.navbar a.nav-link {
  padding-top: 1rem;
  padding-bottom: calc(1rem - 3px);
  margin-left: 0.5rem;
  margin-right: 0.5rem;
  border-bottom: 3px solid transparent;
}

.navbar a.nav-link:active,
.navbar a.nav-link:hover,
.navbar a.nav-link.active {
  padding-top: 1rem;
  padding-bottom: calc(1rem - 3px);
  border-bottom-color: var(--bs-primary);
}

/************************************************************
 * DATATABLES OVERRIDE
 ************************************************************/

table.dataTable {
  margin-top: 1rem !important;
  margin-bottom: 0.5rem !important;
}

/**
 * Boutons (buttons)
 */

.dt-buttons button {
  /* Style de btn-sm : */
  padding: 0.25rem 1rem !important;
  font-size: 0.875rem !important;
  line-height: 1.5;
  border-radius: 0;
}

ul.pagination li.paginate_button a {
  padding: 0.25rem 0.65rem !important;
  font-size: 0.875rem !important;
  line-height: 1.5;
}

/**
 * Filtres (searchPanes)
 */

div.dt-button-collection {
  border-radius: 0;
}

.dtsp-titleRow .dtsp-title {
  display: none;
}

.dtsp-titleRow button {
  margin: 0 0 0.25rem 0.25rem;
  /* Style de btn-sm : */
  padding: 0.25rem 0.5rem !important;
  font-size: 0.875rem !important;
  line-height: 1.5;
  border-radius: 0.2rem;
}

.dtsp-subRow1 .form-control {
  height: calc(1.5em + 0.5rem + 2px);
  line-height: 1.5;
  border-radius: 0.2rem;
}

.dtsp-searchPanes .dtsp-searchPane {
  margin-top: 0 !important;
  margin-bottom: 0.75rem !important;
}

div.dtsp-panesContainer div.dataTables_wrapper div.dataTables_scrollBody {
  height: auto !important;
}

/**
 * Pagination
 */

.page-item:first-child .page-link,
.page-item:last-child .page-link {
  border-radius: 0;
}
